org.eclipse.microprofile.lra.tck

## Class TckCancelOnTests

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.TckTestBase
  - - org.eclipse.microprofile.lra.tck.TckCancelOnTests

    public class TckCancelOnTests
    extends TckTestBase

### Field Summary

### Fields inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`testName`

### Constructor Summary

Constructors
Constructor and Description
`TckCancelOnTests()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `cancelFromRemoteCall()` See `LraCancelOnResource.cancelFromRemoteCall(java.net.URI, jakarta.ws.rs.core.UriInfo)`
`void` `cancelOn301()` See `LraCancelOnResource.cancelOn301(java.net.URI)`
`void` `cancelOnFamily3xx()` See `LraCancelOnResource.cancelOnFamily3xx(java.net.URI)`
`void` `cancelOnFamilyDefault4xx()` See `LraCancelOnResource.cancelOnFamilyDefault4xx(java.net.URI)`
`void` `cancelOnFamilyDefault5xx()` See `LraCancelOnResource.cancelOnFamilyDefault5xx(java.net.URI)`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `notCancelOnFamily5xx()` See `LraCancelOnResource.notCancelOnFamily5xx(java.net.URI)`

### Methods inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`after, before`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TckCancelOnTests

    public TckCancelOnTests()

### Method Detail

#### deploy

    @Deployment(name="tcktests-cancelon")
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### cancelOnFamilyDefault4xx

    public void cancelOnFamilyDefault4xx()

See `LraCancelOnResource.cancelOnFamilyDefault4xx(java.net.URI)`

#### cancelOnFamilyDefault5xx

    public void cancelOnFamilyDefault5xx()

See `LraCancelOnResource.cancelOnFamilyDefault5xx(java.net.URI)`

#### cancelOnFamily3xx

    public void cancelOnFamily3xx()

See `LraCancelOnResource.cancelOnFamily3xx(java.net.URI)`

#### cancelOn301

    public void cancelOn301()

See `LraCancelOnResource.cancelOn301(java.net.URI)`

#### notCancelOnFamily5xx

    public void notCancelOnFamily5xx()

See `LraCancelOnResource.notCancelOnFamily5xx(java.net.URI)`

#### cancelFromRemoteCall

    public void cancelFromRemoteCall()

See `LraCancelOnResource.cancelFromRemoteCall(java.net.URI, jakarta.ws.rs.core.UriInfo)`